tigase.jaxmpp.core.client.xmpp.modules.muc

## Class MucModule.InvitationReceivedHandler.InvitationReceivedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<MucModule.InvitationReceivedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.muc.MucModule.InvitationReceivedHandler.InvitationReceivedEvent

- Enclosing interface:
    MucModule.InvitationReceivedHandler

      public static class MucModule.InvitationReceivedHandler.InvitationReceivedEvent
      extends JaxmppEvent<MucModule.InvitationReceivedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvitationReceivedEvent(SessionObject sessionObject, MucModule.Invitation invitation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(MucModule.InvitationReceivedHandler handler)` Invokes handlers method.
    `MucModule.Invitation` | `getInvitation()`
    `void` | `setInvitation(MucModule.Invitation invitation)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvitationReceivedEvent

          public InvitationReceivedEvent(SessionObject sessionObject,
                                         MucModule.Invitation invitation)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(MucModule.InvitationReceivedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<MucModule.InvitationReceivedHandler>`
      Parameters:
        `handler` - handler

    - #### getInvitation

          public MucModule.Invitation getInvitation()

    - #### setInvitation

          public void setInvitation(MucModule.Invitation invitation)

Copyright © 2006–2016 Tigase. All rights reserved.